# Uses of Enum Class
org.apache.sysds.hops.AggBinaryOp.SparkAggType

Packages that use AggBinaryOp.SparkAggType
Package
Description
org.apache.sysds.hops
org.apache.sysds.lops
org.apache.sysds.runtime.instructions.spark

## Uses of AggBinaryOp.SparkAggType in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return AggBinaryOp.SparkAggType
Modifier and Type
Method
Description
`static AggBinaryOp.SparkAggType`
AggBinaryOp.SparkAggType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AggBinaryOp.SparkAggType[]`
AggBinaryOp.SparkAggType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of AggBinaryOp.SparkAggType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return AggBinaryOp.SparkAggType
Modifier and Type
Method
Description
`AggBinaryOp.SparkAggType`
Lop.`getAggType()`
Method to get aggregate type if applicable.
`AggBinaryOp.SparkAggType`
MapMult.`getAggType()`
`AggBinaryOp.SparkAggType`
MMCJ.`getAggType()`
`AggBinaryOp.SparkAggType`
PartialAggregate.`getAggType()`
`AggBinaryOp.SparkAggType`
RightIndex.`getAggType()`
Constructors in org.apache.sysds.lops with parameters of type AggBinaryOp.SparkAggType
Modifier
Constructor
Description
``
`MapMult(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, boolean rightCache, boolean partitioned, boolean emptyBlocks, AggBinaryOp.SparkAggType aggtype)`
Constructor to setup a partial Matrix-Vector Multiplication for Spark
``
`MMCJ(Lop input1, Lop input2, Types.DataType dt, Types.ValueType vt, boolean outputEmptyBlocks, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`
``
`PartialAggregate(Lop input, Types.AggOp op, Types.Direction direct, Types.DataType dt, Types.ValueType vt, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`
``
`RightIndex(Lop input, Lop rowL, Lop rowU, Lop colL, Lop colU, Types.DataType dt, Types.ValueType vt, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`

## Uses of AggBinaryOp.SparkAggType in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return AggBinaryOp.SparkAggType
Modifier and Type
Method
Description
`AggBinaryOp.SparkAggType`
AggregateUnarySketchSPInstruction.`getAggType()`
`AggBinaryOp.SparkAggType`
AggregateUnarySPInstruction.`getAggType()`
`AggBinaryOp.SparkAggType`
CpmmSPInstruction.`getAggType()`
`AggBinaryOp.SparkAggType`
MapmmSPInstruction.`getAggType()`